Bug 263961 - [PATCH] Fix reference counting in Python bindings of auparse
Summary: [PATCH] Fix reference counting in Python bindings of auparse
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: audit   
(Show other bugs)
Version: rawhide
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-29 16:15 UTC by Miloslav Trmač
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-02 16:59:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Always add a reference when returning an AuEvent attribute value (1.33 KB, patch)
2007-08-29 16:15 UTC, Miloslav Trmač
no flags Details | Diff

Description Miloslav Trmač 2007-08-29 16:15:29 UTC
Version-Release number of selected component (if applicable):
audit-1.6, audit-1.5.3

Reference counting of of AuEvent objects is incorrect, causing crashes in
audit-viewer.

Comment 1 Miloslav Trmač 2007-08-29 16:15:29 UTC
Created attachment 179241 [details]
Always add a reference when returning an AuEvent attribute value

Comment 2 Steve Grubb 2007-08-29 17:08:05 UTC
Applied to the upstream source. Will be in rawhide after the freeze. Thanks!

Comment 3 Steve Grubb 2007-09-02 16:59:00 UTC
audit-1.6.1-1 has been built into rawhide to fix this problem. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.